Can't install libgtk2.0-dev on linux

I am trying to compile xfce-terminal, configure will not pass saying I lack gtk2 checking for gtk+-2.0 >= 2.24.0... not found *** The required package gtk+-2.0 was not found on your system. ***...

Gtk+ Version Error on Linux

I run a python application which uses a glade builder file for its GUI. I recently migrated to a KDE desktop (Debian Wheezy). After installing the Gtk bindings with apt (gir1.2-gtk-3.0) I tried...

Why did apt-get purge removed nearly my whole ubuntu?

Normally I remove packages with apt-get purge <package>. But nearly an hour ago, I crashed my whole system by removing a package. I never had the problem ago, so I do not understand what my...

How to parse multi line records (with awk?)

I'm trying to figure out how to extract particular fields from multi line records separated by \n\n. In this instance, it happens to be output from apt-cache akin to DEBIAN control files. See...

Debian: dist-upgrade removes gnome and many other stuff

I am (was) running the Debian Sid and faced a major update problem few days ago. It was weekend and I was just going to upgrade stuff, did sudo apt-get update, then sudo apt-get upgrade. Then I...

How to install GTK+ in Elementary OS Freya

I'm trying to install the GTK+ library on my distribution using : sudo apt-get install libgtk-3-dev However I get these logs (errors): The following packages have unmet dependencies: ...

how can I create a debian package to distribute python modules without using distutils?

I'm getting myself thoroughly confused how to correctly package my python3 based application. My application uses a Makefile to install stuff to the correct file locations...

Python syntax error running freshly installed `meld`

I'm installing meld as described here: sudo yum install intltool itstool gir1.2-gtksource-3.0 libxml2-utils However, when I try to run meld this error appears: File "/usr/bin/meld", line 47 ...

Error reinstalling python3 in ubuntu 16.04

I am using ubuntu 16.04 and I removed the preinstalled python3 and want to install it again. However, I'm getting an error when using sudo apt-get -f install python3 : Reading package lists......

apt-get upgrade, apt-get install not working.

I recently updated Python 2.7.6 to Python 2.7.12. Since then, when I run apt-get upgrade or apt-get install or apt-get autoremove` I get the following error: Reading package lists... Done Building...

The following packages have unmet dependencies OpenCV 3.2 Python 3.5

I was trying an OpenCV tutorial and when I run the python code I got this error OpenCV Error: Unspecified error (The function is not implemented. Rebuild the library with Windows, GTK+ 2.x or...

Error while installing postgresql

I've never used postgres, only MySQL, so it's new for me. I'm trying to installing it on a VM(so I can use only command line). Running the command sudo apt-get install postgresql this is my...

Spring Boot Application which triggers another App with CLI

I am currently developing a Spring Boot Application which triggers a Python program via CLI. I've used Processbuilder to do that and it's been working ok so far. Now I'm trying to get the Spring...

wxWebView compile issue on Ubuntu

I have been unable to compile wxWebView in my C++ code. #include <wx/wx.h> #include <wx/wxhtml.h> #include <wx/webview.h> class MyFrame : public wxFrame { public: MyFrame(); wxPanel ...

Ubuntu 18.04 libosmesa6 depends libglapi-mesa (= 18.0.0~rc5-1ubuntu1) but 18.0.5-0ubuntu0~18.04.1 is to be installed

Quite a few people encounter this issue, especially those who want to use Gym and Mujoco for reinforcement learning. The installation process is frustrating, but luckily some people spot part of...

Glade detects wrong version of Gtk+

I have a program (written by someone else) that I am trying to run. Traceback (most recent call last): File "gui/gui.py", line 387, in <module> gui = GUI(filepath=filename) File...

Gtk3 | Python: Namespace Gtk not available, Typelib file for namespace 'Gtk' (any version) not found (using macos)

I'm trying to start making a little GTK program, and to test GTK installation and config I'm trying to execute a simple helloworld script. Just using a simple example given by pygobject...

ValueError: Namespace Gtk not available after installing gobject

Edited for posterity: I got it to work. In my case, I had to use the --user option in pip. pip uninstalled pympress and then python3 -m pip install --user pympress OP continues below: I'm trying...

python3 Gtk program throws introspection typelib error

I am trying to convert a python2 GtK program, specifically Comix, to python3 Gtk program. I have reached a point where the program throws an error: ImportError: cannot import name Gobject,...

Cannot load python gstreamer elements

I'm following a guide at https://mathieuduponchelle.github.io/2018-02-01-Python-Elements.html?gi-language=undefined to create a sample gstreamer element in Python. However, I can't get GStreamer...

ValueError: Namespace Gtk not available

When following the instructions 2. Getting Started — Python GTK+ 3 Tutorial 3.4 documentation Tries In [6]: import gi ...: gi.require_version('Gtk', '3.0') ...: from gi.repository import...

Error while trying to play a video with Gstreamer in a Docker environment

Im building a python based video player but ran in to a issue with Gstreamer. I get a bunch of error messages when trying to play a video on a raspberry pi 3 with the 7 inch touchscreen. Im...

Using dbus to poweroff Raspberry Pi inside docker container and python

I'm using BalenaOS and building a docker container with some python that senses when a button is pressed and then is supposed to send this command: dbus-send --system \ --print-reply=literal...

Gnome Keybinder doesn't bind properly to XF86AudioPlay

I've successfully managed to get a Python program to listen for Control+Alt+P and Control+Alt+O even when the window doesn't have focus. However I can't seem to capture <FX86Audio...> events even...

ns3, Python3 has no module named 'ns'

I am using a virtual box to build network simulator 3(ns3), Ubuntu version: Linux Server 20.04 LTS the Linux command that I had executed are sudo apt-get update sudo apt-get upgrade sudo apt-get...

Ubuntu - Anaconda 2020.02 - Namespace Gtk not available

This is on Ubuntu 16.04 LTS. I've run into the same issue as this question: https://stackoverflow.com/questions/56823857/valueerror-namespace-gtk-not-available I've done the following to set...

Installing gir1.2-gtk-3.0 on Centos

On Ubuntu there is a package for installing gir1.2-gtk-3.0: sudo apt install gir1.2-gtk-3.0 Centos 'dnf provides gir1*' results in error: No Matches found The package can be found on...

E: Unable to locate package python-pygraphviz E: Package 'ipython' has no installation candidate

I wanted to use ns3 for which some prerequisites have to be met in Ubuntu. (https://www.nsnam.org/wiki/Installation) First of all I cannot use apt-get install python-pygraphviz python-kiwi...

Install libgtk-3-dev on Ubuntu 20.04

I would like to write a GUI in cpp. As far as I know gtk is a nice solution for this. Sadly it appears to me that gtk is no longer available under Ubuntu 20.04. (I am using Xubuntu if this...

Difficulty getting google-coral example-object-detection to work properly

Noob here, trying to run google-coral example-object-detection on a new google mini dev board. I have followed all of the instructions for set up of the device and loading the example, models,...